summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2016-11-03 23:37:14 +0100
committerMartin Väth <martin@mvath.de>2016-11-03 23:37:14 +0100
commitec0bbc2d11517d921d5c511d5211ec0e58ea5ed3 (patch)
treef3b7c064b6b3318e516542350e1e4aa1099f0639 /app-admin/checksec/checksec-1.7.5.ebuild
parentapp-shells/dash: Adapt to recent change in gentoo repository (diff)
downloadmv-ec0bbc2d11517d921d5c511d5211ec0e58ea5ed3.tar.gz
mv-ec0bbc2d11517d921d5c511d5211ec0e58ea5ed3.tar.bz2
mv-ec0bbc2d11517d921d5c511d5211ec0e58ea5ed3.zip
app-admin/checksec: Version bump
Diffstat (limited to 'app-admin/checksec/checksec-1.7.5.ebuild')
-rw-r--r--app-admin/checksec/checksec-1.7.5.ebuild51
1 files changed, 51 insertions, 0 deletions
diff --git a/app-admin/checksec/checksec-1.7.5.ebuild b/app-admin/checksec/checksec-1.7.5.ebuild
new file mode 100644
index 00000000..653a6c68
--- /dev/null
+++ b/app-admin/checksec/checksec-1.7.5.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PN=${PN}.sh
+DESCRIPTION="Tool to check properties of executables (e.g. ASLR/PIE, RELRO, PaX, Canaries)"
+HOMEPAGE="https://github.com/slimm609/checksec.sh"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test update"
+DEPEND="test? ( dev-python/demjson dev-libs/libxml2 )"
+
+case ${PV} in
+99999999*)
+ EGIT_REPO_URI="git://github.com/slimm609/${MY_PN}.git"
+ inherit git-r3
+ PROPERTIES="live"
+ KEYWORDS=""
+ SRC_URI="";;
+*)
+ RESTRICT="mirror"
+ SRC_URI="https://github.com/slimm609/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S=${WORKDIR}/${MY_PN}-${PV}
+esac
+
+DOCS=( ChangeLog README.md )
+
+src_prepare() {
+ if ! use update
+ then sed -i -e '/--update/d' extras/zsh/_${PN} || die
+ sed -i -e 's/^\([ ]*pkg_release=\)false/\1true/' ${PN} || die
+ fi
+ eapply_user
+}
+
+src_install() {
+ dobin ${PN}
+ insinto /usr/share/zsh/site-functions
+ doins extras/zsh/_${PN}
+ einstalldocs
+ doman extras/man/*
+}
+
+src_test() {
+ cd tests || return 0
+ ./test-checksec.sh || die
+}